<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.slive.mapper.liveplay.LCourseSectionWsMapper">
    <select id="listAll" resultType="java.util.Map">
        select w.sender,w.cinteract,w.wip,w.msg,w.createtime
        from l_course_section_ws w
        where sectionid=#{ws.sectionid}
        <if test="ws.cinteract!=null and ws.cinteract!=0">
            and w.cinteract=#{ws.cinteract}
        </if>
    </select>
</mapper>